﻿@using SiteGuide.DAL.Models
@using SiteGuide.Service.Identifiers
@model DraftsListViewModel

@{
    string itemsName = Model.IsReviews
        ? "reviews"
        : "edits";
    ViewData["Title"] = $"Draft {itemsName}";
}

@*<h1>@ViewData["Title"]</h1>*@
@if (Model.Edits.Any())
{
    <h3>Your draft @itemsName</h3>
    @if(Model.IsReviews)
    {
        <div class="text-muted m-2 mb-4">You have claimed these edits for review. You can make changes to each edit, accept or reject it, or submit it for further review by others. You have exclusive access to these edits during this time, so please try to finish your review promptly. Alternatively you can submit or abandon your draft review changes to make the edit available to other reviewers.</div>
    }
}
else
{
    <h3>You have no draft @itemsName.</h3>
}

<partial name="_List" />